Date: Mon, 3 Mar 1997 09:46:26 +0100 (MET)
From: Geert Uytterhoeven <Geert.Uytterhoeven@cs.kuleuven.ac.be>
To: Linux/m68k <linux-m68k@phil.uni-sb.de>
Subject: L68K: Hydra fix
Sender: owner-linux-m68k@phil.uni-sb.de
Reply-To: linux-m68k@phil.uni-sb.de


Is there really no one out there who compiles the Hydra driver?

--- linux-2.1.26/drivers/net/hydra.c.orig	Sat Feb 22 20:30:54 1997
+++ linux-2.1.26/drivers/net/hydra.c	Sun Mar  2 20:10:13 1997
@@ -193,7 +193,9 @@
 			dev->stop = &hydra_close;
 			dev->hard_start_xmit = &hydra_start_xmit;
 			dev->get_stats = &hydra_get_stats;
-	 		dev->set_multicast_list = &hydra_set_multicast_list;
+#ifdef HAVE_MULTICAST
+	 		dev->set_multicast_list = &set_multicast_list;
+#endif
 	 		
 	 		/*
 	 		 *	Cannot yet do multicast
@@ -643,6 +645,7 @@
 	return(&priv->stats);
 }
 
+#ifdef HAVE_MULTICAST
 static void set_multicast_list(struct device *dev, int num_addrs, void *addrs)
 {
 	struct hydra_private *priv = (struct hydra_private *)dev->priv;
@@ -652,6 +655,7 @@
 	/* (personally i don't care about multicasts at all :) */
 	return;
 }
+#endif
 
 
 #ifdef MODULE

Greetings,

						Geert

--
Geert Uytterhoeven                     Geert.Uytterhoeven@cs.kuleuven.ac.be
Wavelets, Linux/m68k on Amiga          http://www.cs.kuleuven.ac.be/~geert/
Department of Computer Science -- Katholieke Universiteit Leuven -- Belgium

